# Generated from portal_scraper-2.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name portal_scraper

Name: rubygem-%{gem_name}
Version: 2.3.0
Release: 1%{?dist}
Summary: Ruby portal scraper
License: Apache-2.0
URL: https://github.com/cashbee-team/portal_scraper
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.3
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(rubocop) >= 0.67.2
# BuildRequires: rubygem(rubocop) < 0.68
# BuildRequires: rubygem(rubocop-performance)
BuildArch: noarch

%description
Scrapping client for extranet portals.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/portal-scraper.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 2.3.0-1
- Initial package
